summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2009-10-22 06:25:24 +0200
committerDan McGee <dan@archlinux.org>2009-10-24 17:22:34 +0200
commitfff6d9dc2e6c61f67d6a50e2dde655f388c173a8 (patch)
tree2575f71233320ffe8b4450e68aad59652705fff0
parent21caf8730f9d089e351bf73b8bfd46b316c518a9 (diff)
downloadpacman-fff6d9dc2e6c61f67d6a50e2dde655f388c173a8.tar.gz
pacman-fff6d9dc2e6c61f67d6a50e2dde655f388c173a8.tar.xz
makepkg: allow passing arguments with spaces
Currently makepkg takes the commandline arguments, assigns them to a variable and passes that variable to the next makepkg call (within fakeroot). Use a comination of quotes and arrays in this process to ensure any arguments passed within quotes and containing spaces stay as a single argument during the second makepkg call. Thanks to Dan for figuring out how to get this working. Signed-off-by: Allan McRae <allan@archlinux.org> Signed-off-by: Dan McGee <dan@archlinux.org>
-rw-r--r--scripts/makepkg.sh.in6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index ffa8e866..ba0d3d91 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1462,7 +1462,7 @@ if [ ! $(type -t gettext) ]; then
}
fi
-ARGLIST=$@
+ARGLIST=("$@")
# Parse Command Line Options.
OPT_SHORT="AcCdefFghiLmop:rRsV"
@@ -1876,9 +1876,9 @@ else
msg "$(gettext "Entering fakeroot environment...")"
if [ -n "$newpkgver" ]; then
- fakeroot -- $0 --forcever $newpkgver -F $ARGLIST || exit $?
+ fakeroot -- $0 --forcever $newpkgver -F "${ARGLIST[@]}" || exit $?
else
- fakeroot -- $0 -F $ARGLIST || exit $?
+ fakeroot -- $0 -F "${ARGLIST[@]}" || exit $?
fi
fi
fi